Updates 4.2 stable and testing and testing-release of opsi-cli

Antworten
Benutzeravatar
n.doerrer
uib-Team
Beiträge: 129
Registriert: 23 Okt 2020, 16:11

Updates 4.2 stable and testing and testing-release of opsi-cli

Beitrag von n.doerrer »

Dear opsi users,

today we published new packages for opsi 4.2 testing and stable.

* With this release we publish opsi-cli in Testing. For more info check the blog entry: https://blog.opsi.org/posts/opsi-cli-introduction/

* OpenSUSE Leap 15.4 is now supported as server distribution in 4.2 stable.

* The UEFI checks in netboot producs have changed. Previously it was checked whether efivars module could be loaded. This does no longer exist with Kernel 6.0. This is why now we are checking if the directory /sys/firmware/efi exists. There will be an opsi-linux-bootimage with kernel 6.0 in the near future, so please update your netboot packages to avoid any problems then.

=====================================
New Packages in Testing:
=====================================

Windows Localboot:

* opsi-client-agent 4.2.0.42-1
* opsi-cli 4.2.0.0-1

Windows Netboot:

* Windows NT6 4.2.0.3-6

Linux Localboot:

* opsi-linux-client-agent 4.2.0.30-1
* opsi-cli 4.2.0.0-1

Linux Netboot:

* alma8 4.2.0.3-5
* alma9 4.2.0.3-5
* debian 4.2.0.3-9
* debian10/11 4.2.0.1-15
* mint20-1/2/3 4.2.0.3-4
* mint21 4.2.0.3-4
* opensusel15-3/4 4.2.0.2-5
* redhat8/9 4.2.0.3-5
* rocky8/9 4.2.0.3-5
* sles12sp3/4/5 4.2.0.2-4
* sles15-1/2/3/4 4.2.0.2-4
* ubuntu 4.2.0.4-7
* ubuntu18-04/20-04 4.2.0.1-12
* ubuntu22-04 4.2.0.1-13
* ucs44 4.2.0.1-8
* ucs50 4.2.0.1-10

Macos Localboot:

* opsi-mac-client-agent 4.2.0.22-1
* opsi-cli 4.2.0.0-1

opsi-local-image Netboot:

* opsi-local-image-NT6 4.2.0.3-6
* opsi-vhd-win10-x64 4.2.0.3-5
* opsi-vhd-win11-x64 4.2.0.3-5
* opsi-local-image-backup 4.2.0.1-4
* opsi-local-image-delimage 4.2.0.1-3
* opsi-local-image-prepare 4.2.0.0-4
* opsi-local-image-restore 4.2.0.4-4
* opsi-local-image-ubuntu 4.2.0.4-7

Server:

* opsi-utils 4.2.0.188

=====================================
New Packages in Stable:
=====================================

Windows Localboot:

* windows11-upgrade 22h2-1
* windows10-upgrade 22h2-1
* windows10-enablement 22h2-1


Best regards,
Nils Dörrer


Changelogs:

Code: Alles auswählen

windows11-upgrade (22h2-1) testing; urgency=low
    * IMPORTANT: Requires opsiclientd version 4.2.0.122 or higher
    * IMPORTANT: Requires opsi-script version 4.12.5.5 or higher
    * Adapted required opsiclientd / opsi-script versions
    * Modified handling of UAC values
        * Empty UAC values no longer count as fatal error
        * If a UAC value is not present before running the script it will be deleted to restore the former state
        * Added variables for restoring UAC values
        * Modified Registry_Restore_UAC
    * Added english documentation
    * Added french documentation
    * Added product property proxy_ip
    * Added product property proxy_port
    * Added proxy support for the local opsiSetupUser
    * Added error detection to Files_Copy_Setup_Files
    * Added product property delete_windows_update_cache
        * Clears %SystemRoot%\Softwaredistribution prior to the upgrade
    * Added product property restore_health
        * If set to true the following commands will be executed prior to the upgrade:
            * SFC /scannow
            * DISM /Online /Cleanup-Image /AnalyzeComponentStore
            * DISM /Online /Cleanup-Image /StartComponentCleanup
            * DISM /Online /Cleanup-Image /RestoreHealth
    * Added product property post_oobe
        * Allows you to set a path to a setupcomplete.cmd file
    * Added SetupDiag call after the upgrade for advanced diagnostics
    * Added support for Windows 11 22H2
    * Collects additional logfiles
    * Doubled the timeout for opsiServiceCall_runAsOpsiSetupUser and opsiServiceCall_runOpsiScriptAsOpsiSetupUser
    * Fixed wrong bracket placements
    * Fixed bug in automode handling
    * Fixed bug in proxy handling
    * Fixed bug that occured when additional action requests were pending
    * Refactored encryption driver handling
    * Refactored DisplayVersion / ReleaseID retrieval
    * Refactored handling of DisplayVersion / ReleaseID
    * Refactored logfile handling
    * Refactored opsi-script / opsi-winst detection
    * Refactored execution method handling
    * Refactored opsiclientd version check
    * Refactored opsiSetupUser leftover removal
    * Refactored mode handling
    * Refactored target image detection
    * Renamed product property upgrade-to-version to upgrade_to_version
    * Replaced getSystemType with getOSArchitecture
    * Replaced isSuspended with ImmediateLogout after calling opsiServiceCall_runAsOpsiSetupUser and opsiServiceCall_runOpsiScriptAsOpsiSetupUser
    * Tested on win10-x64-21h2, win11-x64
-- Matthias Knauer <m.knauer@uib.de> Thu, 13 Oct 2022 11:11:11 +0000

----------

windows10-enablement (22h2-1) stable; urgency=medium
  * Added support for Windows 10 release 22h2
  * Tested on win10-1903, win10-x64-1903, win10-2004, win10-x64-2004, win10-20h2, win10-x64-20h2, win10-21h1, win10-x64-21h1, win10-21h2, win10-x64-21h2
-- Matthias Knauer <m.knauer@uib.de> Thu, 13 Oct 2022 11:11:11

----------

windows10-upgrade (22h2-1) testing; urgency=low
    * IMPORTANT: Requires opsiclientd version 4.2.0.122 or higher
    * IMPORTANT: Requires opsi-script version 4.12.5.5 or higher
    * Adapted required opsiclientd / opsi-script versions
    * Added english documentation
    * Added french documentation
    * Added error detection to Files_Copy_Setup_Files
    * Added product property delete_windows_update_cache
        * Clears %SystemRoot%\Softwaredistribution prior to the upgrade
    * Added product property restore_health
        * If set to true the following commands will be executed prior to the upgrade:
            * SFC /scannow
            * DISM /Online /Cleanup-Image /AnalyzeComponentStore
            * DISM /Online /Cleanup-Image /StartComponentCleanup
            * DISM /Online /Cleanup-Image /RestoreHealth
    * Added product property post_oobe
        * Allows you to set a path to a setupcomplete.cmd file
    * Added SetupDiag call after the upgrade for advanced diagnostics
    * Added support for Windows 10 22H2
    * Collects additional logfiles
    * Doubled the timeout for opsiServiceCall_runAsOpsiSetupUser and opsiServiceCall_runOpsiScriptAsOpsiSetupUser
    * Fixed wrong bracket placements
    * Fixed bug in automode handling
    * Fixed bug with 20h2 target version
    * Fixed bug in proxy handling
    * Fixed bug that occured when additional action requests were pending
    * Refactored encryption driver handling
    * Refactored DisplayVersion / ReleaseID retrieval
    * Refactored handling of DisplayVersion / ReleaseID
    * Refactored logfile handling
    * Refactored opsi-script / opsi-winst detection
    * Refactored execution method handling
    * Refactored opsiclientd version check
    * Refactored opsiSetupUser leftover removal
    * Refactored mode handling
    * Refactored target image detection
    * Renamed product property upgrade-to-version to upgrade_to_version
    * Replaced getSystemType with getOSArchitecture
    * Replaced isSuspended with ImmediateLogout after calling opsiServiceCall_runAsOpsiSetupUser and opsiServiceCall_runOpsiScriptAsOpsiSetupUser
    * Tested on win81-x64, win10-x64, win10-x64-1511, win10-x64-1607, win10-x64-1703, win10-x64-1709, win10-x64-1803, win10-x64-1809, win10-x64-1903, win10-x64-1909, win10-x64-2004, win10-x64-20h2, win10-x64-21h1, win10-x64-21h2, win10-x64-22h2, win10-x64-2016, win10-x64-2019, win10-x64-2021
-- Matthias Knauer <m.knauer@uib.de> Thu, 13 Oct 2022 11:11:11 +0000

----------

opsi-client-agent (4.2.0.42-1) stable; urgency=low

  * Update opsi-script to 4.12.6.2
  * Update opsi-login-blocker to 4.2.0.4 (more robust timeouts)
  * Update opsiclientd to 4.2.0.131 (cleanup tmpdir, opsisetupuser related changes)
  * Update oca-installation-helper to 4.2.0.23 (optimized for use in script context)

-- Jan Schneider <j.schneider@uib.de> Fri, 19 Oct 2022 10:22:00 +0100

----------

opsi-mac-client-agent (4.2.0.22-1) stable; urgency=low

  * Update opsi-script to 4.12.6.2
  * Update opsiclientd to 4.2.0.131 (cleanup tmpdir, opsisetupuser related changes)
  * Update oca-installation-helper to 4.2.0.23 (optimized for use in script context)

 -- Nils Doerrer <n.doerrer@uib.de> Wed, 19 Oct 2022 11:00:00 +0100

----------

opsi-linux-client-agent (4.2.0.30-1) stable; urgency=low

  * Update opsi-script to 4.12.6.2
  * Update opsiclientd to 4.2.0.131 (cleanup tmpdir, opsisetupuser related changes)
  * Update oca-installation-helper to 4.2.0.23 (optimized for use in script context)

 -- Nils Doerrer <n.doerrer@uib.de> Wed, 19 Oct 2022 11:00:00 +0100

----------

windows (4.2.0.3-6) testing; urgency=low

  * changed uefi check as efivars is not available in kernel 6.0 and higher

 -- Mathias Radtke <m.radtke@uib.de> Tue Oct 25 15:31:06 2022 +0200

----------------------

opsi-local-image (4.2.0.3-6) testing; urgency=low

  * changed uefi check as efivars is not available in kernel 6.0 and higher

 -- Mathias Radtke <m.radtke@uib.de> Wed Oct 26 11:59:31 2022 +0200

--------------------

opsi-local-image-backup/delimage/prepare/restore testing; urgency=low

  * changed uefi check as efivars is not available in kernel 6.0 and higher

 -- Mathias Radtke <m.radtke@uib.de> Tue Oct 25 15:31:06 2022 +0200

--------------------

alma8/9 (4.2.0.3-5) testing; urgency=low

  * changed uefi check as efivars is not available in kernel 6.0 and higher

 -- Mathias Radtke <m.radtke@uib.de> Wed Oct 26 11:59:57 2022 +0200

debian (4.2.0.3-9) testing; urgency=low

  * changed uefi check as efivars is not available in kernel 6.0 and higher

 -- Mathias Radtke <m.radtke@uib.de> Wed Oct 26 11:59:57 2022 +0200


debian (4.2.0.3-8) testing; urgency=low

  * new property added proxy_bypass_in_opsiscript
    write configserver url and ip in /etc/hosts to prevent proxy errors in some cases

 -- Mathias Radtke <m.radtke@uib.de> Mon Oct 24 2022 16:20:00 +0200

--------------------

debian10/11 (4.2.0.1-15) testing; urgency=low

  * changed uefi check as efivars is not available in kernel 6.0 and higher

 -- Mathias Radtke <m.radtke@uib.de> Wed Oct 26 11:59:57 2022 +0200


debian10/11 (4.2.0.1-14) testing; urgency=low

  * using localectl to set locale explicitly during client-agent installation

 -- Mathias Radtke <m.radtke@uib.de> Fri, 21 Oct 2022 09:43:00 +0200

--------------------

mint20-1 (4.2.0.3-4) testing; urgency=low

  * changed uefi check as efivars is not available in kernel 6.0 and higher

 -- Mathias Radtke <m.radtke@uib.de> Wed Oct 26 11:59:57 2022 +0200

--------------------

opensusel15-3 (4.2.0.2-5) testing; urgency=low

  * changed uefi check as efivars is not available in kernel 6.0 and higher

 -- Mathias Radtke <m.radtke@uib.de> Wed Oct 26 11:59:57 2022 +0200

--------------------

redhat8/9 (4.2.0.3-5) testing; urgency=low

  * changed uefi check as efivars is not available in kernel 6.0 and higher

 -- Mathias Radtke <m.radtke@uib.de> Wed Oct 26 11:59:57 2022 +0200

--------------------

rocky8 (4.2.0.3-5) testing; urgency=low

  * changed uefi check as efivars is not available in kernel 6.0 and higher

 -- Mathias Radtke <m.radtke@uib.de> Wed Oct 26 11:59:57 2022 +0200

--------------------

sles12sp3 (4.2.0.2-4) testing; urgency=low

  * changed uefi check as efivars is not available in kernel 6.0 and higher

 -- Mathias Radtke <m.radtke@uib.de> Wed Oct 26 11:59:57 2022 +0200

--------------------

sles15-1/2/3/4 (4.2.0.2-4) testing; urgency=low

  * changed uefi check as efivars is not available in kernel 6.0 and higher

 -- Mathias Radtke <m.radtke@uib.de> Wed Oct 26 11:59:57 2022 +0200

--------------------

ubuntu (4.2.0.4-7) testing; urgency=low

  * changed uefi check as efivars is not available in kernel 6.0 and higher

 -- Mathias Radtke <m.radtke@uib.de> Wed Oct 26 11:59:57 2022 +0200


ubuntu (4.2.0.4-6) testing; urgency=low

  * new property added proxy_bypass_in_opsiscript
    write configserver url and ip in /etc/hosts to prevent proxy errors in some cases

 -- Mathias Radtke <m.radtke@uib.de> Mon Oct 24 2022 16:20:00 +0200

--------------------

ubuntu18-04 (4.2.0.1-12) testing; urgency=low

  * changed uefi check as efivars is not available in kernel 6.0 and higher

 -- Mathias Radtke <m.radtke@uib.de> Wed Oct 26 11:59:57 2022 +0200

--------------------

ubuntu22-04 (4.2.0.1-13) testing; urgency=low

  * changed uefi check as efivars is not available in kernel 6.0 and higher

 -- Mathias Radtke <m.radtke@uib.de> Wed Oct 26 11:59:57 2022 +0200

--------------------

ucs44 (4.2.0.1-8) testing; urgency=low

  * changed uefi check as efivars is not available in kernel 6.0 and higher

 -- Mathias Radtke <m.radtke@uib.de> Wed Oct 26 11:59:57 2022 +0200

--------------------

ucs50 (4.2.0.1-10) testing; urgency=low

  * changed uefi check as efivars is not available in kernel 6.0 and higher

 -- Mathias Radtke <m.radtke@uib.de> Wed Oct 26 11:59:57 2022 +0200

--------------------

opsi-local-image (4.2.0.4-8) testing; urgency=low

  * changed uefi check as efivars is not available in kernel 6.0 and higher

 -- Mathias Radtke <m.radtke@uib.de> Wed Oct 26 11:59:31 2022 +0200

----------

opsi-utils (4.2.0.188-1) stable; urgency=medium

  * Improvement:  added opsi-cli, using opsi-outdated-to-setup as wrapper for opsi-cli

 -- uib GmbH <info@uib.de>  Mon, 17 Oct 2022 17:39:27 +0200

Antworten